# Asterisk Project : Asterisk 13 Function_TRYLOCK

Created by wikibot on Aug 08, 2014

# TRYLOCK()

### Synopsis

Attempt to obtain a named mutex.

### Description

Attempts to grab a named lock exclusively, and prevents other channels from obtaining the same lock. Returns `1` if the lock was available or `0` otherwise.

Note

Icon

If `live_dangerously` in `asterisk.conf` is set to `no`, this function can only be executed from the dialplan, and not directly from external protocols.

### Syntax

    TRYLOCK(lockname)

##### Arguments

- `lockname`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538